@REM ----------------------------------------------------------------------------
@REM  Copyright 2001-2006 The Apache Software Foundation.
@REM
@REM  Licensed under the Apache License, Version 2.0 (the "License");
@REM  you may not use this file except in compliance with the License.
@REM  You may obtain a copy of the License at
@REM
@REM       http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM  Unless required by applicable law or agreed to in writing, software
@REM  distributed under the License is distributed on an "AS IS" BASIS,
@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM  See the License for the specific language governing permissions and
@REM  limitations under the License.
@REM ----------------------------------------------------------------------------
@REM
@REM   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights
@REM   reserved.

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
set BASEDIR=%~dp0\..

:repoSetup


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\repo

set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\tudresden\ocl20\pivot\tools\codegen\ocl2java\types\tudresden-ocl-types\3.0.0\tudresden-ocl-types-3.0.0.jar;"%REPO%"\net\ihe\gazelle\datatypes\datatypes-code-jar\1.9\datatypes-code-jar-1.9.jar;"%REPO%"\apache-httpclient\commons-httpclient\3.1\commons-httpclient-3.1.jar;"%REPO%"\commons-logging\commons-logging\1.0.4\commons-logging-1.0.4.jar;"%REPO%"\commons-codec\commons-codec\1.2\commons-codec-1.2.jar;"%REPO%"\org\jdom\jdom\1.1.2\jdom-1.1.2.jar;"%REPO%"\jaxen\jaxen\1.1.1\jaxen-1.1.1.jar;"%REPO%"\dom4j\dom4j\1.6.1\dom4j-1.6.1.jar;"%REPO%"\jdom\jdom\1.0\jdom-1.0.jar;"%REPO%"\xom\xom\1.0\xom-1.0.jar;"%REPO%"\xerces\xmlParserAPIs\2.6.2\xmlParserAPIs-2.6.2.jar;"%REPO%"\xalan\xalan\2.6.0\xalan-2.6.0.jar;"%REPO%"\com\ibm\icu\icu4j\2.6.1\icu4j-2.6.1.jar;"%REPO%"\saxon9he\net.sf.saxon\9.4\net.sf.saxon-9.4.jar;"%REPO%"\net\ihe\gazelle\common\code\common-operations-jar\0.3\common-operations-jar-0.3.jar;"%REPO%"\net\ihe\gazelle\voc\voc-code-jar\1.0\voc-code-jar-1.0.jar;"%REPO%"\net\ihe\gazelle\nblock\nblock-code-jar\1.1\nblock-code-jar-1.1.jar;"%REPO%"\net\ihe\gazelle\cda\cda-code-jar\1.7\cda-code-jar-1.7.jar;"%REPO%"\net\ihe\gazelle\common\code\common-code-jar\1.8\common-code-jar-1.8.jar;"%REPO%"\net\ihe\gazelle\infr\infr-code-jar\1.0\infr-code-jar-1.0.jar;"%REPO%"\net\ihe\gazelle\ihe-xmltools-jar\0.2\ihe-xmltools-jar-0.2.jar;"%REPO%"\commons-lang\commons-lang\2.6\commons-lang-2.6.jar;"%REPO%"\args4j\args4j\2.0.23\args4j-2.0.23.jar;"%REPO%"\org\slf4j\slf4j-api\1.5.6\slf4j-api-1.5.6.jar;"%REPO%"\org\slf4j\slf4j-log4j12\1.5.6\slf4j-log4j12-1.5.6.jar;"%REPO%"\log4j\log4j\1.2.14\log4j-1.2.14.jar;"%REPO%"\net\ihe\gazelle\cdabasic-validator-jar\0.3\cdabasic-validator-jar-0.3.jar;"%REPO%"\net\ihe\gazelle\cdabasic\validator\cdabasicapp-validator-jar\1.0.0\cdabasicapp-validator-jar-1.0.0.jar
goto endInit

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS%  -classpath %CLASSPATH_PREFIX%;%CLASSPATH% -Dapp.name="validator" -Dapp.repo="%REPO%" -Dapp.home="%BASEDIR%" -Dbasedir="%BASEDIR%" net.ihe.gazelle.cdabasic.validator.GazelleCDABASICValidator %CMD_LINE_ARGS%
if %ERRORLEVEL% NEQ 0 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=%ERRORLEVEL%

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@REM If error code is set to 1 then the endlocal was done already in :error.
if %ERROR_CODE% EQU 0 @endlocal


:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
