#!/bin/sh
# ----------------------------------------------------------------------------
#  Copyright 2001-2006 The Apache Software Foundation.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
# ----------------------------------------------------------------------------
#
#   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights
#   reserved.


# resolve links - $0 may be a softlink
PRG="$0"

while [ -h "$PRG" ]; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done

PRGDIR=`dirname "$PRG"`
BASEDIR=`cd "$PRGDIR/.." >/dev/null; pwd`



# OS specific support.  $var _must_ be set to either true or false.
cygwin=false;
darwin=false;
case "`uname`" in
  CYGWIN*) cygwin=true ;;
  Darwin*) darwin=true
           if [ -z "$JAVA_VERSION" ] ; then
             JAVA_VERSION="CurrentJDK"
           else
             echo "Using Java version: $JAVA_VERSION"
           fi
           if [ -z "$JAVA_HOME" ] ; then
             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
           fi
           ;;
esac

if [ -z "$JAVA_HOME" ] ; then
  if [ -r /etc/gentoo-release ] ; then
    JAVA_HOME=`java-config --jre-home`
  fi
fi

# For Cygwin, ensure paths are in UNIX format before anything is touched
if $cygwin ; then
  [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
  [ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
fi

# If a specific java binary isn't specified search for the standard 'java' binary
if [ -z "$JAVACMD" ] ; then
  if [ -n "$JAVA_HOME"  ] ; then
    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
      # IBM's JDK on AIX uses strange locations for the executables
      JAVACMD="$JAVA_HOME/jre/sh/java"
    else
      JAVACMD="$JAVA_HOME/bin/java"
    fi
  else
    JAVACMD=`which java`
  fi
fi

if [ ! -x "$JAVACMD" ] ; then
  echo "Error: JAVA_HOME is not defined correctly." 1>&2
  echo "  We cannot execute $JAVACMD" 1>&2
  exit 1
fi

if [ -z "$REPO" ]
then
  REPO="$BASEDIR"/repo
fi

CLASSPATH=$CLASSPATH_PREFIX:"$BASEDIR"/etc:"$REPO"/tudresden/ocl20/pivot/tools/codegen/ocl2java/types/tudresden-ocl-types/3.0.0/tudresden-ocl-types-3.0.0.jar:"$REPO"/net/ihe/gazelle/datatypes/datatypes-code-jar/1.9/datatypes-code-jar-1.9.jar:"$REPO"/apache-httpclient/commons-httpclient/3.1/commons-httpclient-3.1.jar:"$REPO"/commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar:"$REPO"/commons-codec/commons-codec/1.2/commons-codec-1.2.jar:"$REPO"/org/jdom/jdom/1.1.2/jdom-1.1.2.jar:"$REPO"/jaxen/jaxen/1.1.1/jaxen-1.1.1.jar:"$REPO"/dom4j/dom4j/1.6.1/dom4j-1.6.1.jar:"$REPO"/jdom/jdom/1.0/jdom-1.0.jar:"$REPO"/xom/xom/1.0/xom-1.0.jar:"$REPO"/xerces/xmlParserAPIs/2.6.2/xmlParserAPIs-2.6.2.jar:"$REPO"/xalan/xalan/2.6.0/xalan-2.6.0.jar:"$REPO"/com/ibm/icu/icu4j/2.6.1/icu4j-2.6.1.jar:"$REPO"/saxon9he/net.sf.saxon/9.4/net.sf.saxon-9.4.jar:"$REPO"/net/ihe/gazelle/common/code/common-operations-jar/0.3/common-operations-jar-0.3.jar:"$REPO"/net/ihe/gazelle/voc/voc-code-jar/1.0/voc-code-jar-1.0.jar:"$REPO"/net/ihe/gazelle/nblock/nblock-code-jar/1.1/nblock-code-jar-1.1.jar:"$REPO"/net/ihe/gazelle/cda/cda-code-jar/1.7/cda-code-jar-1.7.jar:"$REPO"/net/ihe/gazelle/common/code/common-code-jar/1.8/common-code-jar-1.8.jar:"$REPO"/net/ihe/gazelle/infr/infr-code-jar/1.0/infr-code-jar-1.0.jar:"$REPO"/net/ihe/gazelle/ihe-xmltools-jar/0.2/ihe-xmltools-jar-0.2.jar:"$REPO"/commons-lang/commons-lang/2.6/commons-lang-2.6.jar:"$REPO"/args4j/args4j/2.0.23/args4j-2.0.23.jar:"$REPO"/org/slf4j/slf4j-api/1.5.6/slf4j-api-1.5.6.jar:"$REPO"/org/slf4j/slf4j-log4j12/1.5.6/slf4j-log4j12-1.5.6.jar:"$REPO"/log4j/log4j/1.2.14/log4j-1.2.14.jar:"$REPO"/net/ihe/gazelle/cdabasic-validator-jar/0.3/cdabasic-validator-jar-0.3.jar:"$REPO"/net/ihe/gazelle/cdabasic/validator/cdabasicapp-validator-jar/1.0.0/cdabasicapp-validator-jar-1.0.0.jar

# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
  [ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
  [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
  [ -n "$HOME" ] && HOME=`cygpath --path --windows "$HOME"`
  [ -n "$BASEDIR" ] && BASEDIR=`cygpath --path --windows "$BASEDIR"`
  [ -n "$REPO" ] && REPO=`cygpath --path --windows "$REPO"`
fi

exec "$JAVACMD" $JAVA_OPTS  \
  -classpath "$CLASSPATH" \
  -Dapp.name="validator" \
  -Dapp.pid="$$" \
  -Dapp.repo="$REPO" \
  -Dapp.home="$BASEDIR" \
  -Dbasedir="$BASEDIR" \
  net.ihe.gazelle.cdabasic.validator.GazelleCDABASICValidator \
  "$@"
